<?php

/**
 * Basic automated scheduling script. Takes values from autoscheduling admin form. @TODO prevent multiple channels
 * from running at the same time.
 */

// Bootstrap drupal

// var/www/?
$defaultfilepath = '';

chdir($defaultfilepath);
require_once './includes/bootstrap.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

// if autoschedule settings have cron runs enabled:

if (variable_get('om_timeslot_autoschedule_cron_enabled')) {
  
  // Get some data from admin screen
  // How far out from now would you like to schedule?
  $days_out = variable_get('om_timeslot_autoschedule_days_out', 7);
  // What chunk of time would you like to schedule?
  $window = variable_get('om_timeslot_autoschedule_time_to_schedule', 24);
  // What channels?
  $channels =  variable_get('om_timeslot_autoschedule_channel');
  // start of window
  $start = time() + ($days_out * 24 * 60 * 60);
  // end of window
  $end = $start + ($window * 60 * 60);
  
  foreach ($channels as $channel) {
    // get channel number: this convention will be eliminated soon
    $channel_number = om_playback_servers_get_channel_number_from_tid($channel);
    watchdog('automated_scheduling_cron', 'Cron ran at' . time() . ' for ' . $channel_number);
    // call scheduling function, in the future default rule will come from the admin form as well.
    om_timeslot_scheduler_autoschedule_schedule_window($start, $end, $channel, 1, $rules = NULL, 1, 1);
  }
  
}

?>